function r = SuccessRate(na,m,n,Z)
% r = SuccessRate(na,m,n,Z)
%
% Get the success rate of password cracking with m observed login sessions.
% The argument na is the number of random attacks performed to estimate
% the success rate.
% Default values: na=1000, m=2, n=4, Z=10.
% 
% Programmed by Shujun Li in 2009.

if nargin<4
    Z = 10;
    if nargin<3
        n = 4;
        if nargin<2
            m = 2;
            if nargin<1
                na = 1000;
            end
        end
    end
end

r = 0;
for i=1:na
    r = r + RandomAttack(m,n,Z,0); % Supress display.
end
r = r/na;
