function r = SuccessRates(na,m_max,n,Z)
% r = SuccessRates(na,m_max,n,Z)
% 
% Calculate success rates with with respect to different numbers of
% observed login sessions.

if nargin<4
    Z = 10;
    if nargin<3
        n = 4;
        if nargin<2
            m_max = 10;
            if nargin<1
                na = 1000;
            end
        end
    end
end

m = 1:m_max;
r = zeros(1,10);

for i=2:m_max
    fprintf('i=%d is processing...\n', i);
    r(i) = SuccessRate(na,m(i),n,Z);
    fprintf('i=%d is done.\n', i);
end

plot(m,r,'-*');
xlabel('The number of observed login sessions');
ylabel('Success rate of password cracking');
grid;
set(gca,'XTick',m);
set(gca,'XTickLabel',num2cellstr(m));
