function [Y,c,K] = VPS(X,a,Z)
% [Y,c,K] = VPS(X,a,Z)
% 
% Given a fixed password X and a secret integer a, generate ONE
% challenge-response pair (Y,K) with a randomly generated integer c.
% Z is the modulus (default: 10).
% The outputs Y and K are both column vectors.
% 
% Programmed by Shujun Li in 2009.

Y = [];
c = [];
K = [];
if nargin<2
    disp('At least two arguments are needed!');
    return;
end
if nargin<3
    Z = 10;
end

X = X(:); % Transform X to a column vector.
n = numel(X);

% The server generates the random salt Y and the random integer c.
c = randint(1,1,Z);
Y = randint(n,1,Z);

K = VPScY(X,a,Y,c,Z);
