function [Ys,cs,Ks] = VPSs(X,a,m,Z)
% [Ys,cs,Ks] = VPSs(X,a,n,Z)
% 
% Given a fixed password X and a secret integer a, generate m>=1 (default:
% 2) login sessions.
% Z is the modulus (default: 10).
% The column(s) of Ys, Ks and cs correspond to the challenge (random salt),
% the response (dynamic password) and the random integer in a single login
% session, respectively.
% 
% Programmed by Shujun Li in 2009.

Ys = [];
cs = [];
Ks = [];
if nargin<2
    disp('At least two arguments are needed!');
    return;
end
if nargin<4
    Z = 10;
    if nargin<3
        m = 2;
    elseif m<1
        m = 2;
    end
end

n = numel(X);
Ys = zeros(n,m);
Ks = zeros(n,m);
cs = zeros(1,m);

for i=1:m
    [Ys(:,i),cs(i),Ks(:,i)] = VPS(X,a,Z);
end
