function bSuccess = VerifyVPS(X,a,Y,K,Z)
% bSuccess = VerifyVPS(X,a,Y,K,Z)
% 
% Given a password X and a secret integer a, a random salt Y, verify if a
% dynamic password (response) is valid.
% Z is the modulus (default: 10).
% 
% Programmed by Shujun Li in 2009.

bSuccess = 0;
if nargin<4
    disp('At least four arguments are needed!');
    return;
end

if nargin<5
    Z = 10;
end

n = numel(X);
if numel(Y)~=n
    disp('The random salt (challenge) should be of the same size as the password X!');
end
if numel(K)~=n
    disp('The response should be of the same size as the password X!');
end

for c=0:Z-1
    KK = VPScY(X,a,Y,c,Z);
    if all(KK==K)
        bSuccess = 1;
        return;
    end
end
